Subject: Re: bug#21415: 25.0.50; Emacs Trunk -- pixelwise width/height for x-create-frame

From: martin rudalics <[email-masked]>
Date: Tue, 29 Sep 2015 09:23:51 +0200

> Internally, however, internally, it's still possible to issue either
 > "toggleFullScreen" or "performZoom".

What does "internally" mean here?

 > If I manually drag the Chrome window to its largest size, I can make it
 > stretch the entire width, but there will be four pixels missing at the
 > bottom. Also, if I hit the green button in older OS X versions, the same
 > four pixels are missing from the bottom.

 > (((name . "SyncMaster")
 >    (geometry 0 0 1600 1200)
 >    (workarea 0 23 1600 1173)
 >    (mm-size 432 324)
 >    (frames #<frame *scratch* 0x101099630>)
 >    (source . "NS"))
 >   ((name . "SyncMaster")
 >    (geometry 1600 0 1600 1200)
 >    (workarea 1600 0 1600 1200)
 >    (mm-size 432 324)
 >    (frames)
 >    (source . "NS")))
 >
 > Interestingly, the workarea of the primary screen is missing four pixels
 > (1200 - 1173 - 34) = 4.

What was the 34 about?  I probably forgot.

 > However, the workarea of the secondary monitor does not. When executing
 > `toggle-frame-maximized' on the secondary frame (with
 > `frame-resize-pixelwise' set to t), the frame is placed at the bottom left
 > corner (which is good), but there are four pixles missing at the TOP of the
 > screen. (I haven't investigated why, though.)

Does ‘toggle-frame-maximized’ pass on 1173 or 1176 or 1200 as height?

 >> nil means "neither of ‘maximized’, ‘fullwidth’, ‘fullheight’ or
 >> ‘fullboth’".
 >
 >
 > Yes, I guessed so -- but it needs to be documented, right?

I'll do that.

 > In the "info" documentation, the first line looks like the following, where
 > the backslash-numbers represent a single character. I guess this is some
 > kind of encoding issue...
 >
 >       This parameter specifies whether to maximize the frame\342\200\231s
 > width,

Funny.  Here this line reads as

This parameter specifies whether to maximize the frame's width, height

Probably this got screwed up during the "'" conversion process.

 > I fully understand. Who should I talk to to get write access? (The last
 > time I was doing any serious work on Emacs, Jan Djärv did the checkins, but
 > that was before he resigned.)

You have to apply for membership at Savannah:

https://savannah.gnu.org/git/?group=emacs

Then Eli (I believe) has to confirm that you are given write access and
finally you have to establish a key pair.  Eli will correct me possibly.

martin